Get party
curl --request GET \
--url https://api.natural.com/parties/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.natural.com/parties/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.natural.com/parties/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/parties/me",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/parties/me"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.natural.com/parties/me")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/parties/me")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "pty_019cd1798d617f65a79cb965dda9eac3",
"type": "party",
"attributes": {
"partyType": "ORG",
"legalName": "Acme Payments, Inc.",
"firstName": null,
"lastName": null,
"status": "ACTIVE",
"createdAt": "2026-01-04T15:30:00.000Z",
"updatedAt": "2026-01-04T15:30:00.000Z",
"displayName": "Acme Payments",
"handle": "@acme",
"avatarUrl": "https://ntl-public-assets-prod.s3.us-west-2.amazonaws.com/party-avatars/pty_019cd1798d617f65a79cb965dda9eac3/2026-01-04_ab12cd34ef56ab90.webp",
"email": "billing@acmepayments.com",
"primaryPhone": "+1-555-555-0100",
"addressLine1": "123 Main Street",
"addressCity": "San Francisco",
"addressState": "CA",
"addressPostalCode": "94105",
"addressCountry": "US",
"createdBy": null
}
}
}Parties
Get party
Get the party that your credential belongs to. Returns the Party object.
GET
/
parties
/
me
Get party
curl --request GET \
--url https://api.natural.com/parties/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.natural.com/parties/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.natural.com/parties/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/parties/me",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/parties/me"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.natural.com/parties/me")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/parties/me")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "pty_019cd1798d617f65a79cb965dda9eac3",
"type": "party",
"attributes": {
"partyType": "ORG",
"legalName": "Acme Payments, Inc.",
"firstName": null,
"lastName": null,
"status": "ACTIVE",
"createdAt": "2026-01-04T15:30:00.000Z",
"updatedAt": "2026-01-04T15:30:00.000Z",
"displayName": "Acme Payments",
"handle": "@acme",
"avatarUrl": "https://ntl-public-assets-prod.s3.us-west-2.amazonaws.com/party-avatars/pty_019cd1798d617f65a79cb965dda9eac3/2026-01-04_ab12cd34ef56ab90.webp",
"email": "billing@acmepayments.com",
"primaryPhone": "+1-555-555-0100",
"addressLine1": "123 Main Street",
"addressCity": "San Francisco",
"addressState": "CA",
"addressPostalCode": "94105",
"addressCountry": "US",
"createdBy": null
}
}
}Authorizations
Headers
Was this page helpful?